#!/bin/bash
# (c) 2019 Mellanox Technologies
# Author: Yurii Shestakov
#------------------------------------------------------------------------
prog=$(basename $0)

logger -p local0.notice -t nvme_snap "$prog: $@" 
rdma_dev="$1"
if [ -z "$rdma_dev" ] ; then
  exit 0
fi
/usr/bin/mlx_device_emulation "$rdma_dev" >/dev/null 2>&1
rc=$?
if [ $rc -eq 0 ] ; then
   logger -p local0.notice -t nvme_snap "$prog: Enable nvme_snap@${rdma_dev}.service" 
   /usr/bin/systemctl --no-block start nvme_snap@${rdma_dev}.service
else
   logger -p local0.notice -t nvme_snap "$prog: ${rdma_dev} has no nvme emu enabled" 
fi
